function toonFeed(event) {
	event.stop();
	var soort = $("soort").nextSibling.value;
	var filename = $("inputfile").nextSibling.value || "cc_debug.xml";
	var myData = [];
	new Ajax.Request(
		filename,
		{
			method: "get",
			onSuccess: function(ajax) {
				vul(myData, ajax.responseXML, soort);
			},
			onFailure:  ajaxFailed
		}
	)
}

function vul(myData, cc, soort) {
	
	for (var i=0; i < myData.lenght; i++) { 
		myData.pop();
	};
	var chartTitle = "";
	
	if (soort == "Actual") {
		$("selectperiode").hide();
		$("selectmiddelen").show();
		chartTitle = vulactual(myData, cc);
		var mode = 'line';
	};
	if (soort == "Hist") {
		$("selectperiode").show();
		$("selectmiddelen").hide();
		chartTitle = vulhist(myData, cc);
		var mode= 'bar';
	};
	
	var myChart = new JSChart('chartcontainer', mode);
	myChart.setDataArray(myData);
	myChart.resize(900, 400);
	myChart.setAxisValuesNumberX(50);
	myChart.setAxisValuesAngle(90);
	myChart.setTitle(chartTitle);
	myChart.draw();
	}
	
function vulhist(myData, cc){
	var period = $("periode").nextSibling.value;
	var searchTag = period[0];
	var searchSensor = "0";
	
	var hists = cc.getElementsByTagName("hist");
	// All hist elements
	for (var i=0; i < hists.length; i++) {
		var unit = hists[i].firstChild.nextSibling.nextSibling.firstChild.nodeValue; 
		chartTitle = unit;
		var datas = hists[i].getElementsByTagName("data");
		// All data elements
		for (var j=0; j < datas.length; j++) {
			var elements = datas[j].childNodes;
			// All sensors
			var sensor = elements[0].firstChild.nodeValue;
			if (sensor == searchSensor) {
				for (var k=1; k < elements.length; k++) {
					var name = elements[k].tagName; 
					var value = elements[k].firstChild.nodeValue;
					if (name[0] == searchTag) {
					//	alert("Sensor " + sensor + "; " + name + "; " + value +  "; " + unit);
						myData.push([name, parseFloat(value)]);
					}
				}
			}
			
		}
	}
	return chartTitle;
}
	
function vulactual(myData,cc){
	var aantalPunten = parseInt($("middelen").nextSibling.value);
	var middenPunt = (aantalPunten - 1)/2
	var count = 0;
	var gemiddeldeWaarde = 0;
	var somWaarde = 0;
	var middenPuntTime = "";
	
	var sensor = "";
	var actuals = cc.getElementsByTagName("tmpr");
	// All msg elements
	for (var i=0; i < actuals.length; i++) {
		var datas = actuals[i].parentNode;
		// All data elements
		var elements = datas.childNodes;
		// All sensors
			var time = elements[2].firstChild.nodeValue;
			var tmp = elements[3].firstChild.nodeValue;
			sensor = elements[4].firstChild.nodeValue;
			var channel = elements[7].tagName; 
			var value = elements[7].firstChild.firstChild.nodeValue;
			var unit = elements[7].firstChild.tagName; 
			
		//	alert("Sensor " + sensor + "; " + time + "; " + tmp + "; " + channel + "; " + value + "; " + unit);
			somWaarde = somWaarde + parseFloat(value);
			count++;
			
			if (count == middenPunt) {
				middenPuntTime = time.substring(0,time.indexOf(":",3));
				//alert ("Midden " + count + " " + middenPunt + " " +  aantalPunten + " "+ middenPunttime);
			};
			if (count == aantalPunten) {
				gemiddeldeWaarde = somWaarde/aantalPunten;
				myData.push([middenPuntTime, gemiddeldeWaarde]);
				//alert ("Einde " + count + " " + middenPunt + " " +  aantalPunten);
				chartTitle = unit;
				somWaarde = 0;
				count = 0;
			};
	}
	return chartTitle;
}
	
function ajaxFailed(ajax, exception) {
	var msg = "Error making Ajax request:\n\n";
	if (exception) {
		msg += "Exception: "  + exception.message;
	}
	else {
		msg += "Server status: " + ajax.status + " " + ajax.statusText + 
			"\nServer Response Text: " + ajax.responseText;
	}
	alert(msg);
}
window.onload = function() {
	var selects = $$("select");
	for (var i=0; i < selects.length; i++) {
	  selects[i].observe("change", toonFeed);
	};
//	$("inputfile").observe.("change", toonFeed);
	$("selectperiode").hide();
	$("selectmiddelen").hide();
};
